tigase.jaxmpp.core.client

## Interface XmppModule

- All Known Implementing Classes:
    AbstractIQModule, AbstractStanzaExtendableModule, AbstractStanzaModule, AdHocCommansModule, AuthModule, BookmarksModule, CapabilitiesModule, ClientStateIndicationModule, DiscoveryModule, EntityTimeModule, FileTransferModule, FlexibleOfflineMessageRetrieval, HttpFileUploadModule, InBandRegistrationModule, JingleModule, MessageArchiveManagementModule, MessageArchivingModule, MessageCarbonsModule, MessageModule, MucModule, NonSaslAuthModule, OmemoModule, PingModule, PresenceModule, PubSubModule, PushNotificationModule, ResourceBinderModule, RosterModule, SaslModule, SessionEstablishmentModule, Socks5BytestreamsModule, SoftwareVersionModule, StreamFeaturesModule, StreamManagementModule, VCardModule, WorkgroupAgentModule

      public interface XmppModule

  Main interface for implement modules. Module is stateless!. To store any statefull data use SessionObject
  Author:
    bmalkow

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Element element)` Main method of module.

- - ### Method Detail

    - #### getCriteria

          Criteria getCriteria()

      Criteria
      Returns:

    - #### getFeatures

          String[] getFeatures()

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### process

          void process(Element element)
                throws XMPPException,
                       XMLException,
                       JaxmppException

      Main method of module. Module will process incoming stanza by call this method.
      Parameters:
        `element` - incoming XMPP stanza
        `sessionObject` - XMPP session object
        `packetWriter` - XML writer
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.